CVC4::parser Namespace Reference

## Data Structures

class | Input
| An input to be parsed. More...
class | InputStream
| Wrapper around an input stream. More...
class | InputStreamException
class | Parser
| This class encapsulates all of the state of a parser, including the name of the file, line number and column information, and in-scope declarations. More...
class | ParserBuilder
| A builder for input language parsers. More...
class | ParserEndOfFileException
class | ParserException

## Enumerations

enum | DeclarationCheck { CHECK_DECLARED , CHECK_UNDECLARED , CHECK_NONE }
| Types of check for the symols. More...
enum | SymbolType { SYM_VARIABLE , SYM_SORT }
| Types of symbols. More...

## Functions

std::ostream & | operator<< (std::ostream &out, DeclarationCheck check)
| Returns a string representation of the given object (for debugging).
std::ostream & | operator<< (std::ostream &out, SymbolType type)
| Returns a string representation of the given object (for debugging).

## Enumeration Type Documentation

## DeclarationCheck

enum CVC4::parser::DeclarationCheck

Types of check for the symols.

Enumerator
CHECK_DECLARED | Enforce that the symbol has been declared.
CHECK_UNDECLARED | Enforce that the symbol has not been declared.
CHECK_NONE | Don't check anything.

Definition at line 48 of file parser.h.

## SymbolType

enum CVC4::parser::SymbolType

Types of symbols.

Used to define namespaces.

Enumerator
SYM_VARIABLE | Variables.
SYM_SORT | Sorts.

Definition at line 78 of file parser.h.

## Function Documentation

## operator<<() [1/2]

std::ostream & CVC4::parser::operator<< | ( | std::ostream & | out,
|  | DeclarationCheck | check )

inline

Returns a string representation of the given object (for debugging).

Definition at line 62 of file parser.h.

References CHECK_DECLARED, CHECK_NONE, and CHECK_UNDECLARED.

## operator<<() [2/2]

std::ostream & CVC4::parser::operator<< | ( | std::ostream & | out,
|  | SymbolType | type )

inline

Returns a string representation of the given object (for debugging).

Definition at line 90 of file parser.h.

References SYM_SORT, and SYM_VARIABLE.